import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增职能机构
    addtopinstitution(data) {
        return request({
            url: '/top/institution',
            method: 'post',
            data
        })
    },
    //修改职能机构
    edittopinstitution(data) {
        return request({
            url: '/top/institution/edit',
            method: 'post',
            data
        })
    },
    //职能机构批量删除
    edittopinstitutiondeleteBatch(data) {
        return request({
            url: '/top/institution/deleteBatch',
            method: 'post',
            data
        })
    },
    //查询职能机构列表
    topinstitutionList(data) {
        return request({
            url: '/top/institution/list',
            method: 'get',
            params: data
        })
    },
    //获取职能机构详细信息
    topinstitution(data) {
        return request({
            url: `/top/institution/` + data,
            method: 'get',
        })
    },
    //导出职能机构列表
    topinstitutionlistExport(data) {
        return request({
            url: '/top/institution/listExport',
            method: 'get',
            params: data
        })
    },

    // ------
    // ----------------------------------------------------
    // ------
    //新增供应商成本分类
    addtopinstcategory(data) {
        return request({
            url: '/top/inst/category',
            method: 'post',
            data
        })
    },
    //修改供应商成本分类
    edittopinstcategory(data) {
        return request({
            url: '/top/inst/category/edit',
            method: 'post',
            data
        })
    },
    //供应商成本分类批量删除
    edittopinstcategorydeleteBatch(data) {
        return request({
            url: '/top/inst/category/deleteBatch',
            method: 'post',
            data
        })
    },
    //查询供应商成本分类列表
    topinstcategoryList(data) {
        return request({
            url: '/top/inst/category/list',
            method: 'get',
            params: data
        })
    },
    //获取供应商成本分类详细信息
    topinstcategory(data) {
        return request({
            url: `/top/inst/category/` + data,
            method: 'get',
        })
    },
    // ------
    // ----------------------------------------------------
    // ------
    //新增机构成本类别
    addtopcategory(data) {
        return request({
            url: '/top/category',
            method: 'post',
            data
        })
    },
    //修改机构成本类别
    edittopcategory(data) {
        return request({
            url: '/top/category/edit',
            method: 'post',
            data
        })
    },
    //机构成本类别批量删除
    edittopcategorydeleteBatch(data) {
        return request({
            url: '/top/category/deleteBatch',
            method: 'post',
            data
        })
    },
    //查询机构成本类别列表
    topcategoryList(data) {
        return request({
            url: '/top/category/list',
            method: 'get',
            params: data
        })
    },
    //获取机构成本类别详细信息
    topcategory(data) {
        return request({
            url: `/top/category/` + data,
            method: 'get',
        })
    },
}